﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Models.EvaluationFormViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    EvaluationForm
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

        <div>

        <% Html.Kendo().TabStrip()
            .Name("TabStrip")
            //.HtmlAttributes(new { style = "height:400px" })
            .Items(tabstrip =>
            {
                tabstrip.Add()
                    .Text("Overall")
                    .Content(() =>
                    {
                        %>
                            <div style="height: 400px"></div>
                        <%  
                    });
            })
            .Items(tabstrip =>
            {
                tabstrip.Add()
                    .Text("Coaching")
                    .Content(() =>
                    {
                         %>
                            <div style="height: 400px"></div>
                        <%  
                   });
            })
            .Items(tabstrip =>
            {
                tabstrip.Add()
                    .Text("Athlete")
                    .Content(() =>
                    {
                        %>
                            <div style="height: 400px"></div>
                        <%  
                    });
            })
            .Items(tabstrip =>
            {
                tabstrip.Add()
                    .Text("TandC")
                    .Content(() =>
                    {
                        %>
                            <div style="height: 400px"></div>
                        <%  
                    });
            })
            .Items(tabstrip =>
            {
                tabstrip.Add()
                    .Text("IST")
                    .Content(() =>
                    {
                        %>
                            <div style="height: 400px"></div>
                        <%  
                    });
            })
            .Items(tabstrip =>
            {
                tabstrip.Add()
                    .Text("Benchmarks")
                    .Content(() =>
                    {
                        %>
                            <div style="height: 400px"></div>
                        <%  
                    });
            })
            .Items(tabstrip =>
            {
                tabstrip.Add()
                    .Text("Governance")
                    .Content(() =>
                    {
                        %>
                            <div style="height: 400px"></div>
                        <%  
                    });
            })
            .Events(e => e.Select("onTabSelect"))
            .SelectedIndex(Model.SelectedTabIndex)
            .Render();            

            %>          
        </div>

    <script type="text/javascript">

        var tabstripUrls = ["/Home/EvaluationFormTab_Overall/", "/Home/EvaluationFormTab_Coaching/", "/Home/EvaluationFormTab_Athlete/", "/Home/EvaluationFormTab_TandC/", "/Home/EvaluationFormTab_IST/", "/Home/EvaluationFormTab_Benchmarks/", "/Home/EvaluationFormTab_Governance/"];

        function onTabSelect(e) {
            var index = $(e.item).index();
            var tabNumber = index + 1;

            var tabUrl = tabstripUrls[index];
            refreshTab(tabNumber, tabUrl);
        }

        function refreshTab(tabNumber, url)
        {
            var tabResourceId = $("#TabStrip-" + tabNumber).find('#tabResourceId').val();
            
            var evaluationId = <%: Model.Evaluation.Id %>;
            var hasActionItem = 'true';
//            var editable = 'true';
            var tabStrip = $("#TabStrip").data("kendoTabStrip");

                // get the content url for the first tab strip item
//                var tabContentUrl = $(tabStrip.element).parent().find(".t-link:eq(" + (tabNumber - 1) + ")").data("ContentUrl");
//                if (tabContentUrl)
//                {
//                    //do nothing
//                } 
//                else
//                {
                    
            tabContentUrl = url + evaluationId;

            // send an ajax request to get the data and post it to the first tab strip item
            $.ajax(
            {
                type: "POST",
                url: tabContentUrl,
                data: { id: evaluationId },
                success: function (data)
                {
                    //reload the details content tab
                    $("#TabStrip-" + tabNumber).html(data);
                },
                complete: function (data)
                {
                }
            });
        }

    </script>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="FeaturedContent" runat="server">
</asp:Content>
