﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Models.EvaluationsQuestionsEvaluationVersionGridViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    EvaluationQuestions
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div id="container">
        <div style="float:left; width:100%;">

        <div>
        <% Html.Kendo().Window()
            .Name("CopyVersion")
            .Title("")
            .Content(() =>
                { %>
                    <% using (Html.BeginForm("CopyEvaluationVersion", "Home"))
                    { %>
                        <div class="groupbox_600" style="margin:0px 0px 0px 0px">
                            <div class="groupbox_title_background gradientHToWhite">
<%--                                <div class="groupbox_title" >
                                    <%= string.Format(Shared.EvaluationsStrings.Questions_CopyVersionWindow_GroupBoxTitle,
                                        "<span id='copyVersionId'>" + ViewData["versionId"] + "</span>") %>
                                </div>--%>
                            </div>
                            <div class="groupbox_content">
                                <div>
                                    <label> "Copy To Year"</label>
                                    <%         
                                        Html.Kendo().DropDownList()
                                            .Name("copyToYear")
                                            .HtmlAttributes(new { style = "font-size:8pt;width:150px" })
                                            .DataTextField("Description")
                                            .DataValueField("Id")
                                            .AutoBind(true)
                                            .DataSource(dataSource =>
                                            {
                                                dataSource.Read(read =>
                                                {
                                                    read.Action("EvaluationCopyToYearAjax", "Home", new { evaluationVersionId = ViewData["evaluationVersionId"]});
                                                });
                                            })
                                            //.Events(events => events
                                            //    .DataBound("onCopyToYearComboBinding")
                                            //)
                                            .Render();
                                    %>
                                </div>
                            </div>
                            <img src="../../Content/Images/sidenav_btm.gif" width="600" height="9" /> 
                        </div> 
                        <div class="clear"></div>
<%--                        <div style="float:right; text-align:right; margin: 5px 10px 0px 0px" >
                            <input type="submit" value="<%: Shared.EvaluationsStrings.Questions_CopyVersionWindow_SubmitButton %>" onclick="return onCopyEvaluationSubmit()" />
                        </div>
--%>
                        <div style="float:right; text-align:right; margin:5px 10px 0px 0px;"  id="CopyEvaluationSubmit">
                            <button type="button">"Questions Copy Version Submit"</button> 
                        </div>

                        <input type="hidden" id="copyEvaluationVersionId" name="copyEvaluationVersionId" value="<%= ViewData["evaluationVersionId"] %>" />
                    <% } %>
                <%})
            .Draggable(true)
            .Scrollable(false)
            .Resizable()
            //.Buttons(b => b.Close())
            .Width(605)
            .Height(150)
            .Modal(true)
            .Visible(false) /* window not visible on initial load */
            .Render();
                        
        %>
        </div>

        <input type="hidden" id="evaluationVersionId" value="<%= ViewData["evaluationVersionId"] %>" />

        <% Html.Kendo().Grid<Models.EvaluationsQuestionsEvaluationVersionGridViewModel>()
            .Name("Versions")
            .TableHtmlAttributes(new { style = "font-size:8pt;" })
            .HtmlAttributes(new { style = "width:1100px;height:300px" })
            .DataSource(dataSource => dataSource
                .Ajax()
                .Model(model => model.Id(a => a.EvaluationVersionId))
                .ServerOperation(true)
                .Events(e => e.RequestEnd("onEvaluationVersionRequestEnd"))
                .Create(create => create.Action("InsertEvaluationVersion", "Home"))
                .Read(read => read.Action("LoadEvaluationsQuestionsEvaluationVersionGridAjax", "Home"))
                .Update(update => update.Action("UpdateEvaluationVersion", "Home").Data("onUpdateEvaluationVersion"))
            )
            .Editable(e => e.Mode(Kendo.Mvc.UI.GridEditMode.InLine).Enabled(true))
            .Events(e => e.Change("onVersionGridRowSelect")
                          .Edit("onEditEvaluationsVersion")
                          .Save("onSaveEvaluationsVersion")
                    )
            .Pageable(pager => pager.Input(true)
                                    .Refresh(true)
                                    .PageSizes(new[] { 10, 20, 30 })
                    )
            .Scrollable(scrolling => scrolling.Height(270))
            .Resizable(resize => resize.Columns(true))
            .Sortable()
            .Selectable()
            .Filterable()
            .ToolBar(t =>
            {
                t.Create();
            })
            .Columns(columns =>
            {
                columns.Bound(s => s.VersionId)
                    .Width(180);
                columns.Bound(s => s.OrganizationTypeName)
                    .Width(180);
                columns.Bound(s => s.Name_EN)
                    .Width(230);
                columns.Bound(s => s.Name_FR)
                    .Width(230);
                columns.Bound(s => s.VersionPhase)
                    .Width(80);
                columns.Bound(s => s.HasComments)
                    .HeaderHtmlAttributes(new { title = "Comments" })
                    .ClientTemplate("<div class='sprite sprite-note commentEvaluationVersionWindow'></div>")
                    .HtmlAttributes(new { style = "text-align:center" })
                    .Width(50);
                columns.Command(commands =>
                {
                    commands.Custom("Copy").Click("copyEvaluationVersion");
                    commands.Edit();
                })
                .Width(170);
                //.HtmlAttributes(new { style = "white-space:nowrap;float:right;" });
            }).Render();
            
        %>
            
        <div class="clear"></div>

        <div style="margin-top:40px">
            <h2><%= string.Format("Evaluation Version", "<div id='versionId'>" + ViewData["versionId"].ToString() + "</div>")%></h2>
        </div>

        <div class="clear"></div>

        <div>
        <input id='Checkbox1' name='showDeletedQuestions' type='checkbox' style='margin-right: 3px' onclick="onShowDeletedQuestionsClick()" />"Show Previously Deleted Questions"

        <% Html.Kendo().Grid<Models.EvaluationsQuestionsEvaluationPillarsGridViewModel>()
            .Name("Pillars")
            .TableHtmlAttributes(new { style = "font-size:8pt;height:30px" })
            .HtmlAttributes(new { style = "width:1100px;height:400px" })
            .DataSource(dataSource => dataSource
                  .Ajax()
                  .Model(model => model.Id(a => a.EvaluationMasterPillarId))
                  .ServerOperation(true)
                  .Read(read => read.Action("LoadEvaluationsQuestionsEvaluationPillarsGridAjax", "Home", new { showDeleted = false }))
                  .Events(a => a.RequestEnd("onEvaluationsQuestionsEvaluationPillarsRequestEnd"))
             )
            .Pageable(pager => pager.Input(true)
                                .Refresh(true)
                                .PageSizes(new [] { 10, 20, 30 }) 
                )
            .Scrollable(scrolling => scrolling.Height(400))
            .Sortable()
            .Filterable()
            .Resizable(resize => resize.Columns(true))
            .ClientDetailTemplateId("EvaluationVersionQuestionTemplate")
            .Columns(columns =>
            {
                columns.Bound(a => a.EvaluationMasterPillarName)
                    .Width(100);
                columns.Bound(a => a.Name)
                    .Width(200);
                columns.Bound(a => a.Description)
                    .Width(250);
                columns.Bound(a => a.NumberOfQuestions)
                    .Width(100);
                columns.Bound(a => a.EvaluationMasterPillarId).Hidden(true);
                columns.Bound(a => a.EvaluationVersionId).Hidden(true);
        }).Render();
                
        %>
        
        </div>

      </div>
    </div>

    <script id="EvaluationVersionQuestionTemplate" type="text/x-kendo-template">

        <%: Html.Kendo().Grid<Models.EvaluationsQuestionsEvaluationPillarQuestionsGridViewModel>()
            .Name("Pillars_#=EvaluationMasterPillarId#")
            .HtmlAttributes(new { Style = "width:850px" })
            .DataSource(dataSource => dataSource
                    .Ajax()
                    .Model(model => model.Id(a => a.EvaluationVersionQuestionId))
                    .ServerOperation(false)
                    .Events(e => e.RequestEnd("onEvaluationVersionQuestionRequestEnd"))
                    .Create(create => create.Action("InsertEvaluationVersionQuestion", "Home", new { prevEvaluationVersionId = "#=EvaluationVersionId#", prevEvaluationMasterPillarId = "#=EvaluationMasterPillarId#" }))
                    .Read(read => read.Action("LoadEvaluationsQuestionsEvaluationPillarQuestionsGridAjax", "Home", new { evaluationVersionId = "#=EvaluationVersionId#", evaluationMasterPillarId = "#=EvaluationMasterPillarId#", showDeleted = false }))
                    .Update(update => update.Action("UpdateEvaluationVersionQuestion", "Home").Data("onUpdateEvaluationVersionQuestion"))
                    .Destroy(destroy => destroy.Action("DeleteEvaluationVersionQuestion", "Home").Data("onUpdateEvaluationVersionQuestion"))
                )
            .ToolBar(toolbar =>
                {
                    toolbar.Create();
                })
            .Editable(e => e.Mode(Kendo.Mvc.UI.GridEditMode.InLine).Enabled(true))
            .Events(e => e.Edit("onQuestionGridEdit")
                          .Save("onQuestionGridSave")
                )
            .Pageable(pager => pager.Input(true)
                                    .Refresh(true)
                                    .PageSizes(new[] { 10, 20, 30 })
                )
            .Sortable()
            .Resizable(resize => resize.Columns(true))
            .Filterable()
            .Columns(columns =>
            {
                columns.Bound(b => b.SortOrder)
                    .Width(85);
                columns.Bound(b => b.QuestionPhase)
                    .Width(100);
                columns.Bound(b => b.SportName)
                    .Width(200);
                columns.Bound(b => b.VersionQuestion)
                    .Width(250);
                columns.Bound(s => s.HasComments)
                    .HeaderHtmlAttributes(new { title = "Comments" })
                    .ClientTemplate("<div class='sprite sprite-note commentQuestionWindow'></div>")
                    .HtmlAttributes(new { style = "text-align:center" })
                    .Width(50);
                columns.Command(commands =>
                {
                    commands.Edit();
                    commands.Destroy();
                })
                .Width(165);
            })
            .ToClientTemplate()          

      %>      
    </script>

    <script type="text/javascript">

//        $("#CopyEvaluationSubmit").click(function (e) {
//            var yearCombo = $("#copyToYear").data('kendoDropDownList');
//            SetRingCookie('ck_year', yearCombo.text(), { path: '/' });
//            return true;
//        });

        function copyEvaluationVersion(e) {
            $("#CopyVersion").data("kendoWindow").open();
            $("#copyToYear").data("kendoDropDownList").read();
        }

        $("#Versions").on("click", ".commentEvaluationVersionWindow", function (e) {
            var grid = $(this).closest(".k-grid").data("kendoGrid");
            var model = grid.dataItem($(e.target).closest("tr"));
            var evaluationVersionId = model.EvaluationVersionId;
            var evaluationVersionName = model.Name;

            var editable = 'true';
            openCommentWindow('EvaluationVersion', evaluationVersionId, evaluationVersionName, editable, 'true');
        });

        $("#Pillars").on("click", ".commentQuestionWindow", function (e) {
            var grid = $(this).closest(".k-grid").data("kendoGrid");
            var model = grid.dataItem($(e.target).closest("tr"));
            var evaluationVersionQuestionId = model.EvaluationVersionQuestionId;
            var evaluationVersionName = 'Question' + model.SortOrder;

            var editable = 'true';
            openCommentWindow('EvaluationVersionQuestion', evaluationVersionQuestionId, evaluationVersionName, editable, 'true');
        });

        function onUpdateEvaluationVersion(e) {
            return { id: e.EvaluationVersionId }
        }

        function onEvaluationVersionRequestEnd(e) {
            if (e.type == "create" || e.type == "update" || e.type == "destroy") {
                this.read();
            }
        }

        function onVersionGridRowSelect(e) {
            var grid = $("#Versions").data("kendoGrid");
            var currentRow = grid.dataItem(grid.select());
            var evaluationVersionId = currentRow.EvaluationVersionId;

            $('#evaluationVersionId').val(evaluationVersionId);
            $("#Pillars").data("kendoGrid").dataSource.read();

            //            var showDeletedCheckbox = $('#Checkbox1').val();

            //            $.ajax({
            //                type: 'POST',
            //                url: '/Evaluations/LoadEvaluationsQuestionsEvaluationPillarsGridAjax',
            //                dataType: 'json',
            //                data: { evaluationVersionId: evaluationVersionId, showDeleted: showDeletedCheckbox },
            //                async: false,
            //                success: function (data) {
            //                }
            //            });
        }

        function onEditEvaluationsVersion(e) {

            if (e.model.isNew()) {
                var update = $(e.container).parent().find(".k-grid-update");
                $(update).html('<span class="k-icon k-update"></span>Insert');

//                var versionId = "Version 1";
//                var dropdownlist = $("#VersionId").data("kendoComboBox");
//                dropdownlist.value(versionId);
//                dropdownlist.refresh();

//                $('#Name_EN').val(versionId);
//                $('#Name_FR').val(versionId);
            }
            else {

//                var dropdownlist = $("#VersionId").data("kendoComboBox");
//                var versionId = e.model.VersionId;
//                dropdownlist.value(versionId);
//                dropdownlist.refresh();

//                dropdownlist = $("#OrganizationTypeName").data("kendoDropDownList");
//                var organizationTypeId = e.model.OrganizationTypeId;
//                dropdownlist.value(organizationTypeId);
//                dropdownlist.refresh();

//                dropdownlist = $("#VersionPhase").data("kendoDropDownList");
//                var versionPhase = e.model.VersionPhase;
//                dropdownlist.value(versionPhase);
//                dropdownlist.refresh();

            }
        }

        function onSaveEvaluationsVersion(e) {

//            var versionId = $("#VersionId").data("kendoComboBox").value();
//            e.model.VersionId = versionId;

//            var organizationTypeId = $("#OrganizationTypeName").data("kendoDropDownList").value();
//            e.model.OrganizationTypeId = organizationTypeId;

//            var versionPhase = $("#VersionPhase").data("kendoDropDownList").value();
//            e.model.VersionPhase = versionPhase;

//            e.model.Name_EN = $('#Name_EN').val();
//            e.model.Name_FR = $('#Name_FR').val();
        }

        function onLoadEvaluationsQuestionsEvaluationPillarsGridData(e) {
            var evaluationVersionId = $('#evaluationVersionId').val();
            var showDeletedCheckbox = $('#Checkbox1').val();

            return { evaluationVersionId: evaluationVersionId, showDeleted: showDeletedCheckbox }
        }

        function onEvaluationsQuestionsEvaluationPillarsRequestEnd(e) {

            if (e.type == "create" || e.type == "update" || e.type == "destroy") {
                this.read();
            }
        }

        function onLoadEvaluationsQuestionsEvaluationPillarQuestionsGrid(e) {

            return { showDeleted: $('#showDeletedQuestions').is(':checked') }
        }

        function onEvaluationVersionQuestionRequestEnd(e) {

            if (e.type == "create" || e.type == "update" || e.type == "destroy") {
                this.read();
            }
        }

        function onUpdateEvaluationVersionQuestion(e) {

            return { id: e.EvaluationVersionQuestionId, evaluationVersionId: e.EvaluationVersionId, evaluationMasterPillarId: e.EvaluationMasterPillarId }
        }

        function onQuestionGridEdit(e) {

            if (e.model.isNew()) {
                var update = $(e.container).parent().find(".k-grid-update");
                $(update).html('<span class="k-icon k-update"></span>Insert');
            }
            else {

//                var dropdownlist = $("#QuestionPhase").data("kendoDropDownList");
//                var questionPhase = e.model.QuestionPhase;
//                dropdownlist.value(questionPhase);
//                dropdownlist.refresh();

//                dropdownlist = $("#SportName").data("kendoDropDownList");
//                var sportId = e.model.SportId;
//                dropdownlist.value(sportId);
//                dropdownlist.refresh();

            }
        }

        function onQuestionGridSave(e) {

//            var questionPhase = $("#QuestionPhase").data("kendoDropDownList").value();
//            e.model.QuestionPhase = questionPhase;

//            var sportId = $("#SportName").data("kendoDropDownList").value();
//            e.model.SportId = sportId;

        }

        function onShowDeletedQuestionsClick() {
            //RebindPillarsGrid();
        }

    </script>

</asp:Content>
